TTF_RenderText_LCD(3)

NAME
TTF_RenderText_LCD - Render UTF-8 text at LCD subpixel quality to a new ARGB surface.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_RenderText_LCD(TTF_Font *font, const char *text, size_t length, SDL_Color fg, SDL_Color bg);

DESCRIPTION
This function will allocate a new 32-bit, ARGB surface, and render alpha-blended text using FreeType's LCD subpixel rendering. This function returns the new surface, or NULL if there was an error.

This will not word-wrap the string; you'll get a surface with a single line of text, as long as the string requires. You can use

TTF_RenderText_LCD_Wrapped () instead if you need to wrap the output to multiple lines.

This will not wrap on newline characters.

You can render at other quality levels with

TTF_RenderText_Solid ,

TTF_RenderText_Shaded , and

TTF_RenderText_Blended .

FUNCTION PARAMETERS

font
    the font to render with.

text
    text to render, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

fg  the foreground color for the text.

bg  the background color for the text.

RETURN VALUE
Returns a new 32-bit, ARGB surface, or NULL if there was an error.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_RenderText_Blended(3), •(3), TTF_RenderText_LCD_Wrapped(3), •(3), TTF_RenderText_Shaded(3), •(3), TTF_RenderText_Solid(3)